### Name: lnam
### Title: Fit a Linear Network Autocorrelation Model
### Aliases: lnam coef.lnam se.lnam
### Keywords: regression multivariate graphs

### ** Examples

## Not run: 
##D #Construct a simple, random example:
##D w1<-rgraph(100)               #Draw the AR matrix
##D w2<-rgraph(100)               #Draw the MA matrix
##D x<-matrix(rnorm(100*5),100,5) #Draw some covariates
##D r1<-0.2                       #Set the model parameters
##D r2<-0.1
##D sigma<-0.1
##D beta<-rnorm(5)
##D #Assemble y from its components:
##D nu<-rnorm(100,0,sigma)          #Draw the disturbances
##D e<-qr.solve(diag(100)-r2*w2,nu) #Draw the effective errors
##D y<-qr.solve(diag(100)-r1*w1,x%*%beta+e)  #Compute y
##D 
##D #Now, fit the autocorrelation model:
##D fit<-lnam(y,x,w1,w2)
##D summary(fit)
##D plot(fit)
## End(Not run)



